gnutls_x509_name_constraints_get_excluded(3)

NAME
gnutls_x509_name_constraints_get_excluded - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_name_constraints_get_excluded(gnutls_x509_name_constraints_t nc, unsigned idx, unsigned * type, gnutls_datum_t * name);

ARGUMENTS

gnutls_x509_name_constraints_t nc
    the extracted name constraints structure

unsigned idx
    the index of the constraint

unsigned * type
    the type of the constraint (of type gnutls_x509_subject_alt_name_t)

gnutls_datum_t * name
    the name in the constraint (of the specific type)

DESCRIPTION
This function will return an intermediate structure containing the name constraints of the provided CA certificate. That structure can be used in combination with gnutls_x509_name_constraints_check() to verify whether a server's name is in accordance with the constraints. The name should be treated as constant and valid for the lifetime of nc .

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the extension is not present, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/